org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.util

## Class EMFPatternLanguageSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.util.EMFPatternLanguageSwitch<T>

-     public class EMFPatternLanguageSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `EMFPatternLanguagePackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseClassType(ClassType object)` Returns the result of interpreting the object as an instance of 'Class Type'.
    `T` | `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
    `T` | `caseEClassifierConstraint(EClassifierConstraint object)` Returns the result of interpreting the object as an instance of 'EClassifier Constraint'.
    `T` | `caseEntityType(EntityType object)` Returns the result of interpreting the object as an instance of 'Entity Type'.
    `T` | `caseEnumValue(EnumValue object)` Returns the result of interpreting the object as an instance of 'Enum Value'.
    `T` | `casePackageImport(PackageImport object)` Returns the result of interpreting the object as an instance of 'Package Import'.
    `T` | `casePatternImport(PatternImport object)` Returns the result of interpreting the object as an instance of 'Pattern Import'.
    `T` | `casePatternLanguage_PatternModel(PatternModel object)` Returns the result of interpreting the object as an instance of 'Pattern Model'.
    `T` | `casePatternModel(PatternModel object)` Returns the result of interpreting the object as an instance of 'Pattern Model'.
    `T` | `caseReferenceType(ReferenceType object)` Returns the result of interpreting the object as an instance of 'Reference Type'.
    `T` | `caseRelationType(RelationType object)` Returns the result of interpreting the object as an instance of 'Relation Type'.
    `T` | `caseType(Type object)` Returns the result of interpreting the object as an instance of 'Type'.
    `T` | `caseValueReference(ValueReference object)` Returns the result of interpreting the object as an instance of 'Value Reference'.
    `T` | `caseXImportSection(XImportSection object)` Returns the result of interpreting the object as an instance of 'XImport Section'.
    `T` | `caseXtype_XImportSection(org.eclipse.xtext.xtype.XImportSection object)` Returns the result of interpreting the object as an instance of 'XImport Section'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageSwitch

          public EMFPatternLanguageSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### caseXImportSection

          public T caseXImportSection(XImportSection object)

      Returns the result of interpreting the object as an instance of 'XImport Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'XImport Section'.
      See Also:
        `doSwitch(EObject)`

    - #### casePackageImport

          public T casePackageImport(PackageImport object)

      Returns the result of interpreting the object as an instance of 'Package Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Package Import'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternImport

          public T casePatternImport(PatternImport object)

      Returns the result of interpreting the object as an instance of 'Pattern Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Import'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEClassifierConstraint

          public T caseEClassifierConstraint(EClassifierConstraint object)

      Returns the result of interpreting the object as an instance of 'EClassifier Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EClassifier Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEnumValue

          public T caseEnumValue(EnumValue object)

      Returns the result of interpreting the object as an instance of 'Enum Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Enum Value'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternModel

          public T casePatternModel(PatternModel object)

      Returns the result of interpreting the object as an instance of 'Pattern Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Model'.
      See Also:
        `doSwitch(EObject)`

    - #### caseClassType

          public T caseClassType(ClassType object)

      Returns the result of interpreting the object as an instance of 'Class Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Class Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseReferenceType

          public T caseReferenceType(ReferenceType object)

      Returns the result of interpreting the object as an instance of 'Reference Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Reference Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseXtype_XImportSection

          public T caseXtype_XImportSection(org.eclipse.xtext.xtype.XImportSection object)

      Returns the result of interpreting the object as an instance of 'XImport Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'XImport Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstraint

          public T caseConstraint(Constraint object)

      Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueReference

          public T caseValueReference(ValueReference object)

      Returns the result of interpreting the object as an instance of 'Value Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternLanguage_PatternModel

          public T casePatternLanguage_PatternModel(PatternModel object)

      Returns the result of interpreting the object as an instance of 'Pattern Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Model'.
      See Also:
        `doSwitch(EObject)`

    - #### caseType

          public T caseType(Type object)

      Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEntityType

          public T caseEntityType(EntityType object)

      Returns the result of interpreting the object as an instance of 'Entity Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Entity Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRelationType

          public T caseRelationType(RelationType object)

      Returns the result of interpreting the object as an instance of 'Relation Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relation Type'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`